RTEMS: _rtems_rfs_file_system Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
_rtems_rfs_file_system Struct Reference

`#include <rtems-rfs-file-system.h>`

## Data Fields
uint32_t | flags
size_t | blocks
size_t | block_size
int | device
size_t | size
uint32_t | inodes
uint32_t | bad_blocks
uint32_t | max_name_length
rtems_rfs_group * | groups
int | group_count
size_t | group_blocks
size_t | group_inodes
size_t | inodes_per_block
size_t | blocks_per_block
size_t | block_map_singly_blocks
size_t | block_map_doubly_blocks
uint32_t | max_held_buffers
rtems_chain_control | buffers
uint32_t | buffers_count
rtems_chain_control | release
uint32_t | release_count
rtems_chain_control | release_modified
uint32_t | release_modified_count
rtems_chain_control | file_shares
void * | user

## Detailed Description

RFS File System data.

## Field Documentation

## ◆ bad_blocks

uint32_t _rtems_rfs_file_system::bad_blocks

Bad block blocks. This is a table of blocks that have been found to be bad.

## ◆ block_map_doubly_blocks

size_t _rtems_rfs_file_system::block_map_doubly_blocks

Block map double indirect count. This is the block number per block squared and multiplied by the slots in the inode. It is the maximum number of blocks a map (file/directory) can have.

## ◆ block_map_singly_blocks

size_t _rtems_rfs_file_system::block_map_singly_blocks

Block map single indirect count. This is the block number per block multiplied but the slots in the inode.

## ◆ block_size

size_t _rtems_rfs_file_system::block_size

The size of a block. This must be a multiple of the disk's media block size.

## ◆ blocks

size_t _rtems_rfs_file_system::blocks

The number of blocks in the disk. The size of the disk is the number of blocks by the block size. This should be within a block size of the size returned by the media driver.

## ◆ blocks_per_block

size_t _rtems_rfs_file_system::blocks_per_block

Number of block numbers in a block.

## ◆ buffers

rtems_chain_control _rtems_rfs_file_system::buffers

List of buffers attached to buffer handles. Allows sharing.

## ◆ buffers_count

uint32_t _rtems_rfs_file_system::buffers_count

Number of buffers held on the buffers list.

## ◆ device

int _rtems_rfs_file_system::device

The file descriptor for device I/O.

## ◆ file_shares

rtems_chain_control _rtems_rfs_file_system::file_shares

List of open shared file node data. The shared node data such as the inode and block map allows a single file to be open more than once.

## ◆ flags

uint32_t _rtems_rfs_file_system::flags

Flags to control the file system. Some can be controlled via the ioctl.

## ◆ group_blocks

size_t _rtems_rfs_file_system::group_blocks

Number of blocks in a group.

## ◆ group_count

int _rtems_rfs_file_system::group_count

Number of groups.

## ◆ group_inodes

size_t _rtems_rfs_file_system::group_inodes

Number of inodes in a group.

## ◆ groups

rtems_rfs_group* _rtems_rfs_file_system::groups

A disk is broken down into a series of groups.

## ◆ inodes

uint32_t _rtems_rfs_file_system::inodes

Inode count.

## ◆ inodes_per_block

size_t _rtems_rfs_file_system::inodes_per_block

Number of inodes in each block.

## ◆ max_held_buffers

uint32_t _rtems_rfs_file_system::max_held_buffers

Number of buffers held before releasing back to the cache.

## ◆ max_name_length

uint32_t _rtems_rfs_file_system::max_name_length

Maximum length of names supported by this file system.

## ◆ release

rtems_chain_control _rtems_rfs_file_system::release

List of buffers that need to be released when the processing of a file system request has completed.

## ◆ release_count

uint32_t _rtems_rfs_file_system::release_count

Number of buffers held on the release list.

## ◆ release_modified

rtems_chain_control _rtems_rfs_file_system::release_modified

List of buffers that need to be released modified when the processing of a file system request has completed.

## ◆ release_modified_count

uint32_t _rtems_rfs_file_system::release_modified_count

Number of buffers held on the release modified list.

## ◆ size

size_t _rtems_rfs_file_system::size

The number of blocks in the file system.

## ◆ user

void* _rtems_rfs_file_system::user

Pointer to user data supplied when opening.

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/rfs/rtems-rfs-file-system.h